## jpegdec jpegdec |

## Properties

GstIDCTMethod | idct-method | Read / Write
gint | max-errors | Read / Write

## Types and Values

struct | GstJpegDec

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstVideoDecoder
                        ╰── GstJpegDec

## Description

Decodes jpeg images.

### Example launch line

    1
    gst-launch-1.0 -v filesrc location=mjpeg.avi ! avidemux !  queue ! jpegdec ! videoconvert ! videoscale ! autovideosink

The above pipeline decode the mjpeg stream and renders it to the screen.

## Synopsis

### Element Information

plugin | jpeg
author | Wim Taymans <wim@fluendo.com>
class | Codec/Decoder/Image

### Element Pads

name | sink
direction | sink
presence | always
details | image/jpeg

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ I420, RGB, BGR, RGBx, xRGB, BGRx, xBGR, GRAY8 }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstJpegDec

    struct GstJpegDec;

## Property Details

### The `“idct-method”` property

      “idct-method”              GstIDCTMethod

The IDCT algorithm to use.

Flags: Read / Write

Default value: Faster, less accurate integer method

### The `“max-errors”` property

      “max-errors”               gint

Error out after receiving N consecutive decoding errors (-1 = never error out, 0 = automatic, 1 = fail on first error, etc.)

`GstJpegDec:max-errors` has been deprecated since version 1.3.1 and should not be used in newly-written code.

Property wasn't used internally

Flags: Read / Write

Allowed values: >= G_MAXULONG

Default value: 0